

<table>
  <tr>
    <th><%= 'Timestamp'.t%></th>
    <th><%= 'Username'.t%></th>
    <th><%= 'From IP'.t%></th>
    <th><%= 'Data'.t%></th>    
    <th><%= 'Description'.t%></th>
    <th><%= 'Folder'.t%></th>
  </tr>

<% for history in @histories 
   begin %>
  <tr>
    <td><%= h history.created_at %></td>
    <td><%= history.user && (h history.user.name) %></td>
    <td><%=h history.remote_ip %></td>
    <td>
    <% case history.recallable_type
    when 'Myfile':
      hdata= image_tag('file.png') + '&nbsp;' +  h(history.data['filename'])
    when 'Folder':
      hdata= image_tag('folder.png') + '&nbsp;' +  h(history.data['name'])
    end
    hdata += "(#{history.data['id']})" %>
      <%= hdata %></td>
    <td><%=h history.description %></td>
    <td><%= h "#{history.folder && history.folder.name}(#{history.folder_id})" %></td>
    <td><%= link_to image_tag('zoom.png'), history, { :title => 'Show'.t, :class => 'noBackground' } %></td>
  </tr>
<% rescue Exception %>
Error</td></tr>
<% end
end %>
</table>
<%= more_link(HISTORY_LIST_LIMIT) unless @histories.size < 1 %>
<br />


